Your submission was sent successfully! Close

CVE-2017-12976

Published: 20 August 2017

git-annex before 6.20170818 allows remote attackers to execute arbitrary commands via an ssh URL with an initial dash character in the hostname, as demonstrated by an ssh://-eProxyCommand= URL, a related issue to CVE-2017-9800, CVE-2017-12836, CVE-2017-1000116, and CVE-2017-1000117.

Priority

Medium

CVSS 3 base score: 8.8

Status

Package Release Status
git-annex
Launchpad, Ubuntu, Debian
Upstream
Released (6.20170818-1)
Ubuntu 21.10 (Impish Indri) Not vulnerable
(6.20170818-1)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(6.20170818-1)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(6.20170818-1)
Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(6.20170818-1)
Ubuntu 16.04 ESM (Xenial Xerus) Ignored
(end of standard support, was needed)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was needed)